#### Previous topic

scipy.sparse.linalg.LinearOperator.matvec

#### Next topic

scipy.sparse.linalg.LinearOperator.transpose

# scipy.sparse.linalg.LinearOperator.rmatvec

`LinearOperator.``rmatvec`(x)

  Adjoint matrix-vector multiplication.

  Performs the operation y = A^H * x where A is an MxN linear operator and x is a column vector or 1-d array.

  Parameters:

  x : {matrix, ndarray}

  > An array with shape (M,) or (M,1).

  Returns:

  y : {matrix, ndarray}

  > A matrix or ndarray with shape (N,) or (N,1) depending on the type and shape of the x argument.

  Notes

  This rmatvec wraps the user-specified rmatvec routine or overridden _rmatvec method to ensure that y has the correct shape and type.